## org.hibernate.envers.entities.mapper
Interface CompositeMapperBuilder

All Superinterfaces:
  SimpleMapperBuilder

All Known Subinterfaces:
  ExtendedPropertyMapper

All Known Implementing Classes:
  ComponentPropertyMapper, MultiPropertyMapper, SubclassPropertyMapper

    public interface CompositeMapperBuilder

extends SimpleMapperBuilder

Method Summary
`CompositeMapperBuilder` `addComponent(PropertyData propertyData, String componentClassName)`
`void` `addComposite(PropertyData propertyData, PropertyMapper propertyMapper)`

Methods inherited from interface org.hibernate.envers.entities.mapper.SimpleMapperBuilder
`add`

Method Detail

### addComponent

    CompositeMapperBuilder addComponent(PropertyData propertyData,
                                        String componentClassName)

### addComposite

    void addComposite(PropertyData propertyData,
                      PropertyMapper propertyMapper)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.